import { Dayjs } from 'dayjs';
export declare class DateHelper {
    static months: string[];
    static getDaysInYear(date: Date): number;
    static getDaysInMonth(date: Date): number;
    static yyyymmdd(dateIn?: Dayjs): string;
    static ddmmyyyy(dateIn?: Dayjs): string;
    static time(dateIn?: Dayjs, useSeconds?: boolean): string;
    /**
     * Конвертация в усеченный ISO, с учетом TimeZone
     */
    static toISOString(date: Date): string;
    static addDate(date: Date, year: number, month: number, day: number): Date;
    static getMonthsAbbr(): string[];
}
