import { DataSource } from "../interfaces/graphQL";
import { IEventOrgUnits } from "../interfaces/events";
import { DataSet } from "../interfaces";
export declare class OrgUnitsHelper {
    /**
     * Установить orgUnits в dataSource
     * @param dataSource
     * @param event
     * @return boolean needReload
     */
    static setOrgUnits(dataSource: DataSource, event: IEventOrgUnits): boolean;
    static setOrgUnitsForTable(dataSets: DataSet[], event: IEventOrgUnits, allowGrouping?: boolean): boolean;
}
