import { ISettings } from "../interfaces";
export declare class StatesHelper {
    private static stack;
    static clear(): void;
    static push(changes: ISettings, idx?: string | number): void;
    /**
     * Get last changes and exclude it
     */
    static getLastChanges<T = ISettings>(idx?: string | number): T;
    /**
     * Get first changes and leave it
     */
    static getFirstChanges(idx?: string | number): ISettings;
    static isEmpty(idx?: string | number): boolean;
}
