import { XAxisPos, YAxisPos } from "../types";
export interface AxisData<T> {
    name: string;
    nameGap: number;
    nameColor: string;
    maxValueLength: number;
    color: string;
    position: T;
    show: boolean;
    max?: number;
    min?: number;
    axesToIndex: number[];
    showLine: boolean;
    showTick: boolean;
}
export declare type XAxisData = AxisData<XAxisPos>;
export declare type YAxisData = Omit<AxisData<YAxisPos>, 'maxValueLength'>;
