/**
 * DataSource для типа AGGREGATION
 * Используется для последующей комбинации двух вложенных источников данных.
 * result = firstDataSource {operation} secondDataSource
 */
import { ArithmeticOperation, DataSourceType } from '../../types';
import { DataSource } from "./dataSource";
export interface AggregationDataSource {
    type: DataSourceType;
    firstDataSource: DataSource;
    operation: ArithmeticOperation;
    secondDataSource: DataSource;
}
