import { ViewType, Frequency, Operation, MethodType } from '../../../types';
import { DataSource } from "../../graphQL";
import { ISettings } from "../../ISettings";
export interface DataSetTemplate {
    dataSource1: DataSource;
    dataSource2?: DataSource | null;
    viewType: ViewType;
    from: string | null;
    to: string | null;
    period?: string | null;
    years?: number[] | null;
    days?: number[] | null;
    months?: number[] | null;
    hours?: number[] | null;
    weekdays?: number[] | null;
    frequency: Frequency;
    preFrequency: Frequency;
    operation: Operation;
    axis: number;
    numberOfBeans?: number;
    methods?: MethodType[] | null;
    settings?: ISettings;
}
