/**
 * GraphQL enums
 */
export declare const ViewTypeValues: readonly ["STATIC", "DYNAMIC", "DISTRIBUTION", "PROFILE", "TABLE", "REPORT"];
export declare type ViewType = typeof ViewTypeValues[number];
export declare type Frequency = 'YEAR' | 'MONTH' | 'WEEK' | 'DAY' | 'HOUR' | 'ALL' | 'NONE';
export declare type DataSourceType = 'SINGLE' | 'AGGREGATION';
export declare type Operation = 'SUM' | 'AVG' | 'MIN' | 'MAX';
export declare type ArithmeticOperation = 'SUM' | 'SUBTRACT' | 'MULTIPLY' | 'DIVIDE';
export declare type MetricFilterType = 'RAW' | 'FINAL';
