/**
 * Значение = значение из фиксированного массива
 */
import { BaseSetting } from "./BaseSetting";
import { SettingFunc } from "../types";
import { INameValue } from "../../interfaces";
export interface ListSetting<T> extends BaseSetting<T> {
    list: INameValue<T>[];
    multiple: boolean;
}
export declare function makeList<T = void, U extends T = T>(name: string, label: string, def: U, listValuesArray: ArrayLike<U>, // Константный массив, использованный для создания типа <U>
data?: {
    multiple?: boolean;
    required?: boolean;
}): SettingFunc;
