import { IWidgetSettings } from "./IWidgetSettings";
import { SettingFunc } from "./types";
/**
 * Создание конфига для экспорта
 * Все это нужно для того, чтобы можно было задавать конфиг строго в виде:
 * makeSettings({
 *     settings: [
 *         makeYourType(name, def)
 *     ]
 * }
 *
 * и пресечь вариант:
 *     settings: [
 *         {name: 'ttt', type: 'string', default: def}      <-- здесь можно указать любые другие поля, что недопустимо
 *     ]
 */
export declare function makeSettings(cfg: IWidgetSettings<SettingFunc[]>): IWidgetSettings;
