import { ISettings, IWidgetVariables } from '../../interfaces';
import { Chart } from '../../models/Chart';
import { IWidgetSettings } from "../../widgetSettings";
import { WidgetConfigInner } from "../..";
import { WidgetOptions } from "../../models/widgetOptions";
export declare class Pie extends Chart {
    constructor(config: WidgetConfigInner, options: WidgetOptions);
    getVariables(): IWidgetVariables;
    getSettings(): IWidgetSettings;
    getStyles(): ISettings;
    run(): void;
    /**
     * @param data Массив всех точек всех датасорсов
     * @param dimInfos Массив всех дименшинов
     */
    private getData;
    /**
     * Обработка событий
     * NOTE: все данные меняются в this.config.template
     */
    private onEventBusFunc;
    getTemplate(): string;
}
