import { ISettings, IWidgetVariables } from "../../interfaces";
import { Chart } from "../../models/Chart";
import { IWidgetSettings } from "../../widgetSettings";
import { WidgetConfigInner } from "../..";
import { WidgetOptions } from "../../models/widgetOptions";
export declare class Table extends Chart {
    constructor(config: WidgetConfigInner, options: WidgetOptions);
    getVariables(): IWidgetVariables;
    getSettings(): IWidgetSettings;
    getStyles(): ISettings;
    run(): void;
    private getDateStr;
    /**
     * Получаем названия для колонок
     * key => value нужно, т.к. порядок в запросе может не соотв порядку в ответе
     */
    private mapToNames;
    /**
     * Обработка событий
     * NOTE: все данные меняются в this.config.template
     */
    private onEventBusFunc;
    /**
     * Анимирование значения от n1 до n2 за время time в ms
     */
    getTemplate(): string;
}
