import { IColor, IRgbaHex } from "../interfaces";
export declare class ColorHelper {
    static parseHex(hex: string): IRgbaHex;
    static hexToRGBA(hex: string): string;
    /**
     * Возвращает строку стилей
     * Значение можно использовать как есть в виде style=`${colorStyle}`
     * По-умолчанию альфа-канал не используется, поэтому хранится в отдельных переменных
     * @return Всегда возвращает валидный цвет для подстановки
     */
    static hexToColor(colorHex: string): IColor;
    /**
     * Возвращает значение css-переменной
     * @param varName
     */
    static getCssColor(varName: string): string;
}
