import { DataSource } from "../interfaces/graphQL";
import { IEventKpi } from "../interfaces/events";
export declare class KpiHelper {
    static readonly KPI_DIMENSION: string;
    /**
     * Установить kpis в dataSource
     * @param {DataSource} dataSource
     * @param {IEventKpi} event - событие, переданное по шине
     * @return boolean needReload
     */
    static setKpi(dataSource: DataSource, event: IEventKpi): boolean;
}
