import { ECElementEvent } from "echarts/types/src/util/types";
declare type AxisIndexKey = 'xAxisIndex' | 'yAxisIndex' | 'radiusAxisIndex' | 'angleAxisIndex' | 'singleAxisIndex';
export declare type AxisEventData = {
    componentType: string;
    componentIndex: number;
    targetType: 'axisName' | 'axisLabel';
    name?: string;
    value?: string | number;
} & {
    [key in AxisIndexKey]?: number;
} & ECElementEvent;
export {};
