/**
 * DataSource для типа SINGLE
 */
import { DimensionFilter } from "./dimensionFilter";
import { Metric } from "./metric";
import { DataSourceType } from "../../types";
import { MetricFilter } from "./metricFilter";
import { VersionFilter } from "./versionFilter";
export interface SingleDataSource {
    type: DataSourceType;
    name: string;
    dimensions: DimensionFilter[];
    metric: Metric;
    metricFilters: MetricFilter[];
    versionFilter?: VersionFilter;
}
