import { Frequency, ViewType } from '../../../types';
import { DimensionFilter, TimeSeriesDataSetShort } from "../../graphQL";
import { ISettings } from "../../ISettings";
export interface JoinDataSetTemplate {
    viewType: ViewType;
    from: string | null;
    to: string | null;
    period?: string | null;
    frequency: Frequency;
    dimensions: DimensionFilter[];
    dataSetTemplates: TimeSeriesDataSetShort[];
    limit?: number;
    settings?: ISettings;
}
