import { WidgetType, ServerType } from "../../types";
import { DataSet } from './dataSet';
import { ISettings } from "../ISettings";
export interface WidgetTemplate {
    id: string | null;
    title: string;
    widgetType: WidgetType;
    server: ServerType;
    dataSets: DataSet[];
    settings?: ISettings;
    _links: {
        self?: {
            href: string;
        };
    };
}
