/**
 * Конфиг для работы фабрики виджетов
 */
import { EventBusWrapper } from 'goodteditor-event-bus';
import { WidgetTemplate, IChart } from "../interfaces";
import { IDataProvider } from "../dataProvider";
export declare class WidgetConfig {
    templateId: string;
    element: HTMLElement;
    apiUrl?: string;
    eventBus?: EventBusWrapper;
    dataProvider: IDataProvider;
    afterCreate: (widget: IChart) => Promise<void>;
}
export declare class WidgetConfigInner extends WidgetConfig {
    template: WidgetTemplate;
}
