import { IChart, WidgetTemplate } from "../interfaces";
import { IDataProvider } from "../dataProvider";
import { WidgetConfig } from "..";
import { WidgetType } from '../types';
import { IWidgetSettings } from "../widgetSettings";
import { WidgetOptions } from '../models/widgetOptions';
export declare class WidgetFactory {
    dataProvider: IDataProvider;
    static loadWidgetConfig(widgetType: WidgetType): Promise<IWidgetSettings>;
    run(config: WidgetConfig, options?: WidgetOptions): Promise<IChart>;
    runWithSource(config: WidgetConfig, template: WidgetTemplate, options?: WidgetOptions): Promise<IChart>;
    private createWidget;
    private addVersion;
}
