/**
 * Конфигурация виджета (информация о внутреннем устройстве)
 * Settings + общие настройки виджета
 */
import { WidgetSettingsArray } from "./types";
import { InitDataSets } from "./InitDataSets";
export interface IWidgetSettings<T = void> {
    settings: T extends void ? WidgetSettingsArray : T;
    dataSet: {
        initDataSets: InitDataSets;
        canAdd: boolean;
        settings: T extends void ? WidgetSettingsArray : T;
    };
}
