import { BaseSetting } from "./BaseSetting";
import { ISettings } from "../../interfaces";
import { SettingFunc, WidgetSettingsArray } from "../types";
declare type DefaultType = ISettings[];
export interface ArraySetting extends BaseSetting<DefaultType> {
    settings: WidgetSettingsArray[];
    collapse: boolean;
}
export declare function makeArray(name: string, label: string, settings: Array<SettingFunc[]>, data?: {
    collapse: boolean;
}): SettingFunc;
export {};
