import { BaseSetting } from "./BaseSetting";
import { SettingFunc } from "../types";
declare type DefaultType = number | '';
export interface NumberSetting extends BaseSetting<DefaultType> {
    min: number;
    max: number;
}
export declare function makeNumber(name: string, label: string, def: DefaultType, data?: {
    min?: number;
    max?: number;
    condition?: string;
    required?: boolean;
}): SettingFunc;
export {};
