import { ArraySetting, BooleanSetting, ColorSetting, GradientSetting, IconSetting, ListSetting, NumberSetting, SettingsGroupSetting, StringSetting, PasswordSetting } from "./controls";
export declare type SettingFunc = (...args: any) => WidgetSettingsItem;
export declare type WidgetSettingsTypes = 'string' | 'number' | 'boolean' | 'list' | 'color' | 'gradient' | 'icon' | 'settingsGroup' | 'array' | 'password' | string;
export declare type SettingsGroupType = 'string' | 'widgetPaddings' | 'chartPaddings';
export declare type WidgetSettingsItem = StringSetting | NumberSetting | BooleanSetting | ListSetting<any> | ColorSetting | IconSetting | GradientSetting | SettingsGroupSetting | ArraySetting | PasswordSetting;
export declare type WidgetSettingsArray = WidgetSettingsItem[];
