import { ISettings, IWidgetVariables } from "../../interfaces";
import { Chart } from "../../models/Chart";
import { IWidgetSettings } from "../../widgetSettings";
import { WidgetConfigInner } from "../..";
import { WidgetOptions } from "../../models/widgetOptions";
export declare class InventiveTable extends Chart {
    constructor(config: WidgetConfigInner, options: WidgetOptions);
    getVariables(): IWidgetVariables;
    getSettings(): IWidgetSettings;
    getStyles(): ISettings;
    run(): void;
    private getEmployeesData;
    private getDateStr;
    /**
     * Получаем названия для колонок
     * key => value нужно, т.к. порядок в запросе может не соотв порядку в ответе
     */
    private mapToNames;
    private putIndexes;
    private splitRow;
    private getHeaderStyle;
    private getCellStyle;
    private getCellSelectedStyle;
    private getColumnStyle;
    private getMinWidthStyle;
    /**
     * Обработка событий
     * NOTE: все данные меняются в this.config.template
     */
    private onEventBusFunc;
    getTemplate(): string;
}
