import { ISettings, IWidgetVariables } from '../../interfaces';
import { Chart } from '../../models/Chart';
import { IWidgetSettings } from "../../widgetSettings";
import { WidgetConfigInner } from "../..";
import { WidgetOptions } from "../../models/widgetOptions";
export declare class Static extends Chart {
    constructor(config: WidgetConfigInner, options: WidgetOptions);
    getVariables(): IWidgetVariables;
    getSettings(): IWidgetSettings;
    getStyles(): ISettings;
    run(): void;
    private getSeries;
    /**
     * Получить данные для осей
     */
    private getXAxis;
    /**
     * Получить данные для осей
     */
    private getYAxis;
    /**
     * Обработка событий
     * NOTE: все данные меняются в this.config.template
     */
    private onEventBusFunc;
    getTemplate(): string;
}
